package com.ejie.ad74a.ws.client.platea.model.ejgvDocument;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Cuerpo de evento de notificación de PLATEA
 * 
 * @author ansanvic
 * 
 */
@XmlRootElement(name = "body")
@XmlAccessorType(XmlAccessType.FIELD)
public class Ad74aBody {

	@XmlElement(name = "basicInfo")
	private Ad74aBasicInfo basicInfo;

	@XmlElement(name = "ApplicantInfoRRI")
	private Ad74aApplicantInfoRRI applicantInfoRRI;

	@XmlElement(name = "detailInfo")
	private Ad74aDetailInfo detailInfo;

	@XmlElement(name = "sender")
	private Ad74aSender sender;

	public Ad74aBasicInfo getBasicInfo() {
		return basicInfo;
	}

	public void setBasicInfo(Ad74aBasicInfo basicInfo) {
		this.basicInfo = basicInfo;
	}

	public Ad74aApplicantInfoRRI getApplicantInfoRRI() {
		return applicantInfoRRI;
	}

	public void setApplicantInfoRRI(Ad74aApplicantInfoRRI applicantInfoRRI) {
		this.applicantInfoRRI = applicantInfoRRI;
	}

	public Ad74aDetailInfo getDetailInfo() {
		return detailInfo;
	}

	public void setDetailInfo(Ad74aDetailInfo detailInfo) {
		this.detailInfo = detailInfo;
	}

	public Ad74aSender getSender() {
		return sender;
	}

	public void setSender(Ad74aSender sender) {
		this.sender = sender;
	}

}
